Jump to content
  • 0

OpenGL-Fehler: 1282


Setrik
 Share

Question

Problem: Im Chat wird die Fehlermeldung "OpenGL-Fehler: 1282 (Invalid operation)" herrausgegeben.      Minecraftversion 1.17.1

Wie kann ich dies nun beheben lautet meine Frage. Aber bevor Ihr mir antwortet hab ich noch wenige Informationen über den Ablauf dieses Problems.

1. Minecraft lief bis dato super auf der Java 1.16.4. Nun wechselte ich auf die Java 1.17.1. Ich hatte vorab wenige Mods in der 1.16.4 über Forge installiert. Zueinem die Voxelmap aber auch Optifine und DynamicSurroundings. Bei dem Wechsel auf die 1.17.1 musste ich auf Fabric umsteigen. Ich nutzte daher die Voxelmap von Fabric und zudem Optifine in der Version H1. Den Shader hatte ich in der 1.16.4 noch aktiviert . Ich startete eine neue Welt und sah das mit dem Himmel was nicht stimmte (Bild 2). Zusätzlich kamen die Fehler 1280 und 1282 von OpenGL. Den Fehler 1280 bekam ich weg als ich den Shader ausschaltete. Als ich das tat sah der Himmel Violett-Schwarz aus (Bild 3 & Bild 4).

2. Ich zog nun alle Mods raus und hab Optifine allein im mods-Ordner gelassen. Ich testete erst Version H1, dann H2_pre1 (Bild 5), G9 (Bild 6) und zum Schluss alles ohne Mods & ohne Optifine (Bild 7). Ich probierte nun eine schon vorhandene Welt aus in kombination mit Optifine G9 (Bild 8 & Bild 9), aber auch mit H1 und H2_pre1. Nun war der Himmel normal aber der Fehler "OpenGL-Fehler: 1282 (Invalid operation)" war immernoch vorhanden.

3. Mit Optifine G9 porbierte ich nun einen Server aus. Der Fehler "OpenGL-Fehler: 1282 (Invalid operation)" kommt erneut (Bild 1). Ich aktiviere den Shader, der Himmel ist vereinzelt leicht violett geworden. Zusätzlich kommt wieder der OpenGL-Fehler 1280 auf. Ich nehme also wieder den Shader raus und das Spiel schaut aus wie zuerst die Einzelspielerwelt bei Punkt 1 am Anfang beschrieben (Bild 2).

4. Ich löschte meine H1 version von Optifine und lud sie mir erneut herrunter, nun sah es auf dem Server wieder aus wie auf Bild 1. Ich stellte fest das alle Welten/Server die ich in der 1.17.1 öffnete einen normalen Himmel haben, aber die Fehlermeldung "OpenGL-Fehler: 1282 (Invalid operation)" dennoch erscheint. Die zuvor gezeigte Welt (Bild 3 bis Bild 7) konnte ich nicht mehr retten.

5. Ohne Resourcenpaket kommen die gleichen Probleme auf. /  Einfach die OpenGL-Fehler über das Menü auszuschalten finde ich keine Lösung!

Wie kann ich dieses Problem lösen? MfG Setrik

 

Bild 1 1470195804_Bild1.1.thumb.png.27144ed235937aa6ad25ce17432590f6.png

Bild 2 829592903_Bild1.2.thumb.png.88133d218c0581d0641e831da1d0e3b9.png

Bild 3 1142364872_Bild2.1.thumb.png.c1541c053777efbdc50fd006cb937a73.png

Bild 4 1453366744_Bild2.2.thumb.png.bf0115504b021b23796b2cb5f0cd675b.png

Bild 5 1119420919_Bild2.3.thumb.png.1fefd6d5efa690ce1b93fca33d8bc17b.png

Bild 6 1600757566_Bild2.4.thumb.png.02f2d976bd07580976b8b8f4adfad060.png

Bild 7 908918959_Bild2.5.thumb.png.5cab9395da963b43021c8a4676540424.png

Bild 8 1050512965_Bild3.1.thumb.png.a789fcebd226e1f2e6d4e2ccc5043ba7.png

Bild 9 1254319159_Bild3.2.thumb.png.7bed6a3baab837edc5fb659cfe694759.png

Link to comment
Share on other sites

2 answers to this question

Recommended Posts

  • 0
Am 27.11.2021 um 17:55 schrieb Setrik:

Problem: Im Chat wird die Fehlermeldung "OpenGL-Fehler: 1282 (Invalid operation)" herrausgegeben.      Minecraftversion 1.17.1

Wie kann ich dies nun beheben lautet meine Frage. Aber bevor Ihr mir antwortet hab ich noch wenige Informationen über den Ablauf dieses Problems.

1. Minecraft lief bis dato super auf der Java 1.16.4. Nun wechselte ich auf die Java 1.17.1. Ich hatte vorab wenige Mods in der 1.16.4 über Forge installiert. Zueinem die Voxelmap aber auch Optifine und DynamicSurroundings. Bei dem Wechsel auf die 1.17.1 musste ich auf Fabric umsteigen. Ich nutzte daher die Voxelmap von Fabric und zudem Optifine in der Version H1. Den Shader hatte ich in der 1.16.4 noch aktiviert . Ich startete eine neue Welt und sah das mit dem Himmel was nicht stimmte (Bild 2). Zusätzlich kamen die Fehler 1280 und 1282 von OpenGL. Den Fehler 1280 bekam ich weg als ich den Shader ausschaltete. Als ich das tat sah der Himmel Violett-Schwarz aus (Bild 3 & Bild 4).

2. Ich zog nun alle Mods raus und hab Optifine allein im mods-Ordner gelassen. Ich testete erst Version H1, dann H2_pre1 (Bild 5), G9 (Bild 6) und zum Schluss alles ohne Mods & ohne Optifine (Bild 7). Ich probierte nun eine schon vorhandene Welt aus in kombination mit Optifine G9 (Bild 8 & Bild 9), aber auch mit H1 und H2_pre1. Nun war der Himmel normal aber der Fehler "OpenGL-Fehler: 1282 (Invalid operation)" war immernoch vorhanden.

3. Mit Optifine G9 porbierte ich nun einen Server aus. Der Fehler "OpenGL-Fehler: 1282 (Invalid operation)" kommt erneut (Bild 1). Ich aktiviere den Shader, der Himmel ist vereinzelt leicht violett geworden. Zusätzlich kommt wieder der OpenGL-Fehler 1280 auf. Ich nehme also wieder den Shader raus und das Spiel schaut aus wie zuerst die Einzelspielerwelt bei Punkt 1 am Anfang beschrieben (Bild 2).

4. Ich löschte meine H1 version von Optifine und lud sie mir erneut herrunter, nun sah es auf dem Server wieder aus wie auf Bild 1. Ich stellte fest das alle Welten/Server die ich in der 1.17.1 öffnete einen normalen Himmel haben, aber die Fehlermeldung "OpenGL-Fehler: 1282 (Invalid operation)" dennoch erscheint. Die zuvor gezeigte Welt (Bild 3 bis Bild 7) konnte ich nicht mehr retten.

5. Ohne Resourcenpaket kommen die gleichen Probleme auf. /  Einfach die OpenGL-Fehler über das Menü auszuschalten finde ich keine Lösung!

Wie kann ich dieses Problem lösen? MfG Setrik

 

Bild 1 1470195804_Bild1.1.thumb.png.27144ed235937aa6ad25ce17432590f6.png

Bild 2 829592903_Bild1.2.thumb.png.88133d218c0581d0641e831da1d0e3b9.png

Bild 3 1142364872_Bild2.1.thumb.png.c1541c053777efbdc50fd006cb937a73.png

Bild 4 1453366744_Bild2.2.thumb.png.bf0115504b021b23796b2cb5f0cd675b.png

Bild 5 358.11 kB · 0 downloads 1119420919_Bild2.3.thumb.png.1fefd6d5efa690ce1b93fca33d8bc17b.png

Bild 6 1600757566_Bild2.4.thumb.png.02f2d976bd07580976b8b8f4adfad060.png

Bild 7 908918959_Bild2.5.thumb.png.5cab9395da963b43021c8a4676540424.png

Bild 8 1050512965_Bild3.1.thumb.png.a789fcebd226e1f2e6d4e2ccc5043ba7.png

Bild 9 1254319159_Bild3.2.thumb.png.7bed6a3baab837edc5fb659cfe694759.png

Minecraft macht unter der 1.17 Version Probleme, wenn du Java 17 nutzt. Probier mal Java 8

Link to comment
Share on other sites

  • 0
vor 2 Stunden schrieb For3ver_Sunshine:

Minecraft macht unter der 1.17 Version Probleme, wenn du Java 17 nutzt. Probier mal Java 8

Ich habe die aktuelle Version 1.8.0_311. Wenn du diese meinst. 

Ich weiß grad nicht was du mit v17 und v8 meinst. Ich denke aber das du die v1.8 meinst. 

 

 

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...
B